Bug 518021 - DNS setup ignore the Enter input once type "n" for Is it correct (y/n/a)
Summary: DNS setup ignore the Enter input once type "n" for Is it correct (y/n/a)
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: oVirt
Classification: Retired
Component: ovirt-node
Version: unspecified
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
: ---
Assignee: Darryl L. Pierce
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 517723
TreeView+ depends on / blocked
 
Reported: 2009-08-18 13:58 UTC by Darryl L. Pierce
Modified: 2015-06-22 00:07 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-11-18 14:15:58 UTC
oVirt Team: ---


Attachments (Terms of Use)

Description Darryl L. Pierce 2009-08-18 13:58:23 UTC
I found something different for when I press Enter to exit the DNS setup , here
is the capture :
Management Network Configuration

***** WARNING *****
Configuring the network will destroy any existing networking
configuration on this system.
***** WARNING *****

Physical Networking Devices (*=PXE boot interface)
 Name       Driver       MAC              
*eth0       tg3          00:22:19:2d:4b:95
1) eth0                4) Abort
2) DNS                5) Save And Return To Menu
3) NTP
Please select an interface or configuration option: 2


Please enter the first DNS server (or ENTER to exit): 123.123.123.123

Please enter the second DNS server (or ENTER to exit):

Is this correct ([Y]es/[N]o/[A]bort)? n

Please enter the first DNS server (or ENTER to exit):

Please enter the second DNS server (or ENTER to exit):

Is this correct ([Y]es/[N]o/[A]bort)? a

Management Network Configuration

***** WARNING *****
Configuring the network will destroy any existing networking
configuration on this system.
***** WARNING *****

Physical Networking Devices (*=PXE boot interface)
 Name       Driver       MAC              
*eth0       tg3          00:22:19:2d:4b:95
1) eth0                4) Abort
2) DNS                5) Save And Return To Menu
3) NTP
Please select an interface or configuration option: 2


Please enter the first DNS server (or ENTER to exit):

Aborted...

You can see from the above, if I press Enter at the first sight of prompt, then
I will abort the DNS settings, then if I warning a wrong setup, and back to
configure it, then I have to press Enter twice. Else, why I rejected to set the
first DNS ,then I will receive the prompt for the second DNS server setting ?
At least I should receive the prompt for the first DNS again, right ?


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.just as the description
2.
3.

Actual results:
different result for different time when press the Enter key for DNS setup

Expected results:
If the user press Enter without inputting anything, we should exit the DNS
setting, or just repeat the first DNS request again. 

Additional info:

Comment 1 Darryl L. Pierce 2009-08-18 14:36:07 UTC
Patch has been sent to the ovirt-devel mailing list:

https://www.redhat.com/archives/ovirt-devel/2009-August/msg00084.html


Note You need to log in before you can comment on or make changes to this bug.